=== debian/changelog ===
slurm-llnl (2.3.4-2) unstable; urgency=low

  * Avoiding deluser to fail on purge (Closes: #667537) 
  * Hardening flags added (Closes: #663878), thanks to Simon Ruderich
    for the patch

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Thu, 05 Apr 2012 12:42:35 +0200

slurm-llnl (2.3.4-1) unstable; urgency=low

  * New upstream release 

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Tue, 20 Mar 2012 09:50:31 +0100

slurm-llnl (2.3.3-2) unstable; urgency=low

  * Changed Build-Depends entry from postgresql-server-dev-8.4 to 9.1
    (Closes: #639480)

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Mon, 13 Feb 2012 10:46:03 +0100
