## slurm-llnl 2.4.5

=== debian/changelog ===
slurm-llnl (2.4.5-1) unstable; urgency=low

  * New upstream major release 
  * Add lintian overrides for hardening-no-fortify-functions in the
    slurm-llnl-basic-plugins package

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Sun, 03 Feb 2013 11:53:20 +0100
