=== debian/rules ===
--- 
+++ 
@@ -127,7 +127,7 @@
 	dh_install -plibslurmdb-dev debian/slurm-llnl/usr/lib/libslurmdb.a usr/lib
 	dh_install -plibslurmdb-dev debian/slurm-llnl/usr/lib/libslurmdb.la usr/lib
 	dh_install -plibslurmdb-dev debian/slurm-llnl/usr/lib/libslurmdb.so usr/lib
-	dh_install -plibslurmdb23 debian/slurm-llnl/usr/lib/libslurmdb.so.* usr/lib
+	dh_install -plibslurmdb24 debian/slurm-llnl/usr/lib/libslurmdb.so.* usr/lib
 	rm -f debian/slurm-llnl/usr/include/slurm/slurmdb.h
 	rm -f debian/slurm-llnl/usr/lib/libslurmdb.a
 	rm -f debian/slurm-llnl/usr/lib/libslurmdb.la
@@ -140,7 +140,7 @@
 	dh_install -plibslurm-dev debian/slurm-llnl/usr/lib/lib*.la usr/lib
 	dh_install -plibslurm-dev debian/slurm-llnl/usr/lib/lib*.so usr/lib
 	dh_installman -plibslurm-dev debian/slurm-llnl/usr/share/man/man3/*
-	dh_install -plibslurm23 debian/slurm-llnl/usr/lib/libslurm.so.* usr/lib
+	dh_install -plibslurm24 debian/slurm-llnl/usr/lib/libslurm.so.* usr/lib
 	#LIBSLURM = `ls -v debian/slurm-llnl/usr/lib/libslurm.so* | tail -1`
 	#ls -v debian/slurm-llnl/usr/lib/libslurm.so* | tail -1
 	#echo LIBSLURM is $(LIBSLURM)
