## slurm-llnl 2.5.7

=== debian/changelog ===
slurm-llnl (2.5.7-1) unstable; urgency=low

  * New upstream relase
  * Add lintian overrides for shlib-with-executable-stack in the
    slurm-llnl-basic-plugins package since _block_sync_core_bitmap in
    src/plugins/select/cons_res/dist_tasks.c contains nested functions
  * Add slurm-llnl-configurator.easy.html
  * Changed homepage to http://www.schedmd.com (Closes: #703529)
  * Successfully compile under 4.8 (Closes: #701359)

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Sat, 08 Jun 2013 17:53:39 +0200

slurm-llnl (2.5.3-1) unstable; urgency=low

  * New upstream major release 

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Wed, 06 Feb 2013 16:14:10 +0100
