=== debian/rules ===
--- 
+++ 
@@ -109,8 +109,9 @@
 	rm -fr debian/slurm-llnl/usr/lib/slurm/src
 	rm -f  debian/slurm-llnl/usr/sbin/slurm_epilog
 	rm -f  debian/slurm-llnl/usr/sbin/slurm_prolog
-	rmdir  debian/slurm-llnl/usr/share/slurm
+	#rmdir  debian/slurm-llnl/usr/share/slurm
 	dh_install -pslurm-llnl debian/slurm-llnl-configurator.html usr/share/doc/slurm-llnl
+	dh_install -pslurm-llnl debian/slurm-llnl-configurator.easy.html usr/share/doc/slurm-llnl
 	rm -rf debian/slurm-llnl/usr/share/doc/slurm-[0-9]*
 
 	# pmi packages
@@ -127,7 +128,7 @@
 	dh_install -plibslurmdb-dev debian/slurm-llnl/usr/lib/libslurmdb.a usr/lib
 	dh_install -plibslurmdb-dev debian/slurm-llnl/usr/lib/libslurmdb.la usr/lib
 	dh_install -plibslurmdb-dev debian/slurm-llnl/usr/lib/libslurmdb.so usr/lib
-	dh_install -plibslurmdb24 debian/slurm-llnl/usr/lib/libslurmdb.so.* usr/lib
+	dh_install -plibslurmdb25 debian/slurm-llnl/usr/lib/libslurmdb.so.* usr/lib
 	rm -f debian/slurm-llnl/usr/include/slurm/slurmdb.h
 	rm -f debian/slurm-llnl/usr/lib/libslurmdb.a
 	rm -f debian/slurm-llnl/usr/lib/libslurmdb.la
@@ -140,7 +141,7 @@
 	dh_install -plibslurm-dev debian/slurm-llnl/usr/lib/lib*.la usr/lib
 	dh_install -plibslurm-dev debian/slurm-llnl/usr/lib/lib*.so usr/lib
 	dh_installman -plibslurm-dev debian/slurm-llnl/usr/share/man/man3/*
-	dh_install -plibslurm24 debian/slurm-llnl/usr/lib/libslurm.so.* usr/lib
+	dh_install -plibslurm25 debian/slurm-llnl/usr/lib/libslurm.so.* usr/lib
 	#LIBSLURM = `ls -v debian/slurm-llnl/usr/lib/libslurm.so* | tail -1`
 	#ls -v debian/slurm-llnl/usr/lib/libslurm.so* | tail -1
 	#echo LIBSLURM is $(LIBSLURM)
@@ -188,5 +189,3 @@
 
 
 	# Perl
-	$(MAKE) -C contribs/perlapi install DESTDIR=$(CURDIR)/debian/libslurm-perl PERL_MM_OPT="INSTALLDIRS=vendor"
-
