=== debian/rules ===
--- 
+++ 
@@ -91,6 +91,7 @@
 	for i in debian/slurm-llnl-torque/usr/bin/*; do \
 		pod2man $$i > debian/slurm-llnl-torque/usr/share/man/man1/$$(basename $$i).1; \
 	done
+	cp -f debian/generate_pbs_nodefile.1 debian/slurm-llnl-torque/usr/share/man/man1/
 
 	dh_install -i
 
@@ -128,7 +129,7 @@
 	dh_install -plibslurmdb-dev debian/slurm-llnl/usr/lib/libslurmdb.a usr/lib
 	dh_install -plibslurmdb-dev debian/slurm-llnl/usr/lib/libslurmdb.la usr/lib
 	dh_install -plibslurmdb-dev debian/slurm-llnl/usr/lib/libslurmdb.so usr/lib
-	dh_install -plibslurmdb25 debian/slurm-llnl/usr/lib/libslurmdb.so.* usr/lib
+	dh_install -plibslurmdb26 debian/slurm-llnl/usr/lib/libslurmdb.so.* usr/lib
 	rm -f debian/slurm-llnl/usr/include/slurm/slurmdb.h
 	rm -f debian/slurm-llnl/usr/lib/libslurmdb.a
 	rm -f debian/slurm-llnl/usr/lib/libslurmdb.la
@@ -141,7 +142,7 @@
 	dh_install -plibslurm-dev debian/slurm-llnl/usr/lib/lib*.la usr/lib
 	dh_install -plibslurm-dev debian/slurm-llnl/usr/lib/lib*.so usr/lib
 	dh_installman -plibslurm-dev debian/slurm-llnl/usr/share/man/man3/*
-	dh_install -plibslurm25 debian/slurm-llnl/usr/lib/libslurm.so.* usr/lib
+	dh_install -plibslurm26 debian/slurm-llnl/usr/lib/libslurm.so.* usr/lib
 	#LIBSLURM = `ls -v debian/slurm-llnl/usr/lib/libslurm.so* | tail -1`
 	#ls -v debian/slurm-llnl/usr/lib/libslurm.so* | tail -1
 	#echo LIBSLURM is $(LIBSLURM)
@@ -185,7 +186,3 @@
 
 	#libpam-slurm package
 	dh_install -plibpam-slurm debian/slurm-llnl/lib/security/pam_slurm.so lib/security
-	rm -rf debian/slurm-llnl/lib
-
-
-	# Perl
