## slurm-llnl 2.6.7

=== debian/changelog ===
slurm-llnl (2.6.7-2build1) utopic; urgency=medium

  * Rebuild for Perl 5.20.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 21 Aug 2014 13:50:56 +0100

slurm-llnl (2.6.7-2) unstable; urgency=medium

  [ gregor herrmann ]
  * Fix "hardcodes /usr/lib/perl5":
    - drop debian/libslurmdb-perl.dirs
    - dynamically create directories and move files in debian/rules, using the
      value of $Config{vendorarch}
    (Closes: #752814)

  [ Gennaro Oliva ]
  * Add lintian overrides for spelling-error-in-binary in the
    slurm-llnl-basic-plugins package to avoid wrong spelling error detection
  * Added dh_autoreconf (Closes: #744659)

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Tue, 29 Jul 2014 17:13:06 +0200

slurm-llnl (2.6.7-1) unstable; urgency=medium

  * New upstream release
  * Added lua5.1-0-dev build dependency

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Fri, 21 Mar 2014 16:47:16 +0100
