=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: extra
 Maintainer: Gennaro Oliva <oliva.g@na.icar.cnr.it>
-Build-Depends: debhelper (>= 7.0.0), autotools-dev, libmunge-dev, libncurses5-dev, libssl-dev, po-debconf, python, libglade2-dev, libgtk2.0-dev, libmysqlclient-dev, libpq-dev, libpam0g-dev, libperl-dev, chrpath, libpam0g-dev
+Build-Depends: debhelper (>= 7.0.0), autotools-dev, libmunge-dev, libncurses5-dev, libssl-dev, po-debconf, python, libglade2-dev, libgtk2.0-dev, libmysqlclient-dev, libpq-dev, libpam0g-dev, libperl-dev, chrpath, libpam0g-dev, liblua5.1-0-dev, dh-autoreconf
 Standards-Version: 3.9.5
 Homepage: http://www.schedmd.com
