=== debian/rules ===
--- 
+++ 
@@ -26,6 +26,8 @@
 LDFLAGS = `dpkg-buildflags --get LDFLAGS`
 CPPFLAGS = `dpkg-buildflags --get CPPFLAGS`
 
+PERL_ARCHLIB := $(shell perl -MConfig -e 'print substr($$Config{vendorarch}, 1)')
+
 config.status: configure
 	dh_testdir
 ifneq "$(wildcard /usr/share/misc/config.sub)" ""
@@ -35,6 +37,7 @@
 	cp -f /usr/share/misc/config.guess config.guess
 endif
 	# Add here commands to configure the package.
+	dh_autoreconf
 	CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --sysconfdir=/etc/slurm-llnl --with-munge --localstatedir=/var/run/slurm-llnl --without-blcr --libexecdir=/usr/share --enable-pam --without-rpath
 
 
@@ -72,6 +75,7 @@
 		src/plugins/accounting_storage/common/.libs
 	  rm -f config.sub
 	  rm -f config.guess
+	  dh_autoreconf_clean
 	  dh_clean
 
   install: install-indep install-arch
@@ -182,7 +186,3 @@
 	rm -f debian/slurm-llnl/usr/share/man/man5/slurmdbd.conf.5
 	rm -f debian/slurm-llnl/usr/share/man/man1/sacctmgr.1
 
-	rmdir debian/slurm-llnl/usr/lib
-
-	#libpam-slurm package
-	dh_install -plibpam-slurm debian/slurm-llnl/lib/security/pam_slurm.so lib/security
